<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 *
 * @package			Wordsmith
 * @copyright		Copyright (C) 2013 Victor Sarabia
 * @license			http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License v2
 * @since			Wordsmith 0.1
 */

get_header(); ?>

<div id="main">
    <div class="layout-max-width two-column">

        <!-- ----------------------[ PRIMARY ]---------------------- -->
        <div id="primary">
            <div class="primary-content">

				<?php if ( have_posts() ) : ?>

					<h1 class="archive-page-title">
						<?php
							if ( is_category() ) {
								echo __('Browsing Category', 'wordsmith') . ': <em>' . single_term_title('', false) . '</em>';
							}
							elseif ( is_tag() ) {
								echo __('Posts tagged', 'wordsmith') . ': <em>' . single_term_title('', false) . '</em>';
							}
							elseif ( is_year() ) {
								echo __('Yearly Archives', 'wordsmith') . ': <em>' . get_the_date('Y') . '</em>';
							}
							elseif ( is_month() ) {
								echo __('Monthly Archives', 'wordsmith') . ': <em>' . get_the_date('F Y') . '</em>';
							}
							elseif ( is_day() ) {
								echo __('Daily Archives', 'wordsmith') . ': <em>' . get_the_date('F j, Y') . '</em>';
							}
							elseif ( is_author() ) {
								the_post();
								echo __('Posts by', 'wordsmith') . ': <em>' . get_the_author() . '</em>';
								rewind_posts();
							}
							else {
								echo 'Archives';
							}
						?>
					</h1>

				<?php /* Start the Loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>

					<?php
					/*	Include the Post-Format-specific template for the content.
					 *	If you want to overload this in a child theme then include a file
					 *	called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( '/template-parts/content', get_post_format() );
					//get_template_part( '/template-parts/content', 'archive' );
					?>

					<?php endwhile; /* End the Loop */  ?>
				<?php wordsmith_paginate_links(); // Display pagination links > Defined in functions.php ?>

				<?php else: /* There are no posts to show */ ?>

                <h1 class="page-title"><?php _e( 'Nothing Found', 'wordsmith' ); ?></h1>
                <p class="notice"><?php _e( 'Sorry, no posts matched your criteria.', 'wordsmith' ); ?></p>

				<?php endif; ?>

            </div>
        </div><!-- primary -->

        <!-- ----------------------[ SECONDARY ]---------------------- -->
		<?php get_sidebar(); ?>

    </div><!-- layout-max-width -->
</div><!-- main -->

<?php get_footer(); ?>