<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form. The actual display of comments is
 * handled by callbacks which are located in the "functions/wordsmith-comments.php" file.
 *
 * @package			Wordsmith
 * @copyright		Copyright (C) 2013 Victor Sarabia
 * @license			http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License v2
 * @since			Wordsmith 0.1
 */
?>

<?php
	/*  Password Required?
     *
	 *	If the current post is protected by a password and
     *	the visitor has not yet entered the password we will
     *	return early without loading the comments.
     */
	if ( post_password_required() ) {
		return;
	}
?>

<div id="comments" <?php if ( empty( $comments_by_type['comment'] ) ) { echo 'class="no-comments"'; } ?>>

	<!-- ----------------------[ COMMENTS & PINGS ]---------------------- -->
	<?php if ( have_comments() ) : ?>

		<?php /* PINGS LIST */ ?>
		<?php if ( ! empty( $comments_by_type['pings'] ) ) : ?>
			<h4 class="pings-title">
				<?php
					printf(
						_n( '1 Ping', '%s Pings', count( $comments_by_type[ 'pings' ] ), 'wordsmith' ),
						count( $comments_by_type[ 'pings' ] )
					);
				?>
			</h4>
			<ol class="pings-list">
				<?php
					wp_list_comments(
						array(
							'style'		=> 'ol',
							'type'		=> 'pings',
							'callback'	=> 'wordsmith_display_ping'
						)
					);
				?>
			</ol>
		<?php endif; // End pings list  ?>


		<?php /* COMMENTS LIST */ ?>
		<?php if ( ! empty( $comments_by_type['comment'] ) ) : ?>
			<h4 class="comments-title">
				<?php
					printf(
						_n( '1 Comment', '%s Comments', count( $comments_by_type[ 'comment' ] ), 'wordsmith' ),
						count( $comments_by_type[ 'comment' ] )
					);
				?>
			</h4>
			<ol class="comments-list">
				<?php
					// If threaded comments are enabled set $max_depth equal to the number of levels selected by the user - maximum is 3
					$max_depth = get_option( 'thread_comments' ) ? min( get_option( 'thread_comments_depth' ), 3 ) : '';

					wp_list_comments(
						array(
							'style' => 'ol',
							'type' => 'comment',
							'callback' => 'wordsmith_display_comment',
							'max_depth' => $max_depth
						)
					);
				?>
			</ol>
		<?php endif; // End comments list ?>

		<?php wordsmith_comments_pagination(); ?>

	<?php endif; // have_comments() ?>

	<!-- ----------------------[ RESPOND ]---------------------- -->

	<?php comment_form(); ?>

</div><!-- comments -->