<?php
/**
 * Header Template.
 *
 * Contains the HTML <head> section and the opening HTML <body> tag,
 * as well as the site header and menus.
 *
 * @package			Wordsmith
 * @copyright		Copyright (C) 2013 Victor Sarabia
 * @license			http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License v2
 * @since			Wordsmith 0.1
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<title><?php wp_title( '&laquo;', true, 'right' ); ?></title>
	<link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<header id="nameplate">
		<div class="layout-max-width">

			<!-- ----------------------[ SITE-TITLE & DESCRIPTION ]---------------------- -->
            <?php wordsmith_the_site_info(); ?>

			<!-- ----------------------[ TABBED-MENU ]---------------------- -->
			<?php wordsmith_nav_menu( 'main-nav' ); ?>

		</div><!-- layout-max-width -->
	</header><!-- nameplate -->