<?php
/**
 * The Sidebar containing the main widget area.
 *
 * @package			Wordsmith
 * @copyright		Copyright (C) 2013 Victor Sarabia
 * @license			http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License v2
 * @since			Wordsmith 0.1
 */
?>

		<div id="secondary">

			<?php if ( ! dynamic_sidebar( 'main-sidebar' ) ) : ?>

				<?php /* Display static sidebar */ ?>

				<aside class="widget widget_categories">
					<h4 class="widget-title"><?php _e( 'Topics', 'wordsmith' ); ?></h4>
					<ul>
					<?php
						wp_list_categories(
							array(
								'show_count' => 1,
								'orderby' => 'count',
								'order' => 'DESC',
								'hierarchical' => 0,
								'title_li' => null,
								'exclude' => 1
							)
						);
					?>
					</ul>
				</aside>

				<?php
					the_widget(
						'WP_Widget_Recent_Posts',
						array(
							'number' => 5,
							'title' => __( 'Latest Posts', 'wordsmith' )
						),
						array(
							'before_widget' => '<aside class="widget widget_recent_entries">',
							'after_widget' => "</aside>",
							'before_title' => '<h4 class="widget-title">',
							'after_title' => '</h4>'
						)
					);
				?>

			<?php endif; /* end static sidebar */ ?>

		</div><!-- secondary -->